YIi2 做项目是用"高级版本"还是"基础版本"的? [ 2.0 版本 ]

YIi2 做项目是用”高级版本”还是”基础版本”的? [ 2.0 版本 ]

“高级版本”还是”基础版本” 虽说内核相同,但是用法差别很大。
如果是独立项目建议用Advanced”高级版本”。

如果你只是需要将Yii集成到别人的项目里,整个Yii当成一个插件使用,建议用Basic”基础版本” 。

yii2-app-basic基础版只有一个web应用,而yii2-app-advanced高级版是默认带了前台和后台两个web应用,将两个应用整合在一个project里面,然后用common应用存放一些两个应用公共的一些东西。官网的文档上说明了一些区别:https://link.zhihu.com/?target=http%3A//www.yiiframework.com/doc-2.0/guide-tutorial-advanced-app.html
一般建议使用yii2-app-advanced高级版

其实并不叫高级版和基础版,而叫做高级模板和基础模板。模板的意义在于提供一个直接就能跑起来的网站,很多东西都默认配置好了,这样学习曲线不至于太陡峭,仅此而已。

框架主体都是完全一样的,可能有些扩展没有默认安装吧。

框架是一样的,只不过创建出来的web层次不一样

来源:知乎 链接:https://www.zhihu.com/question/27916823/answer/38633322

如题的一个问题。

还有基础版本如何通过yii.bat来创建user表,难道要通过下面的sql代码么

CREATE TABLE user (  
`id` int( 20 ) unsigned NOT NULL AUTO_INCREMENT ,  
`username` varchar( 50 )   unique COMMENT '用户名',  
`password_hash` varchar( 80 )   COMMENT '密码',  
`password_reset_token` varchar( 60 )   COMMENT '密码token',  
  
`email` varchar( 60 )   COMMENT '邮箱',  
`auth_key` varchar( 60 )   COMMENT '',  
`status` integer( 5 )   COMMENT '状态',  
`created_at` integer( 18 )   COMMENT '创建时间',  
`updated_at` integer( 18 )   COMMENT '更新时间',  
`password` varchar( 50 )   COMMENT '密码',   
PRIMARY KEY ( `id` )  
) ENGINE = InnoDB DEFAULT CHARSET = utf8;  

最佳答案
高级版和基础版只是一个叫法,但这混淆了大部分人的目光,是的,高级听起来怎么也比基础逼格高点。
之所以说他们只是一个叫法,因为他们的框架部分是完全相同的。所谓的框架部分就是 vendor 目录,他通常存在于项目的根目录。高级版基础版之间的关系类似于 centos 以及 ubuntu,这二者都是基于 linux 内核的。所以你很难说明他们到底谁更强大。但不可否认的是,他们同样提供了强大的功能。
所以 Yii 的命令行操作数据库在基础版同样适用。这在权威指南的命令行章节有描述。
如果非要区分哪一个更适合项目,这得看到底是什么样子的项目。假设你需要做一个博客,这个博客分为前后台,那么高级版可能会合适。而假设你有一个项目是提供API去存储一些网站的统计数据,并且这个API调用非常频繁足以危及到主服务器。那么新开个基础版项目存放于一台专门做统计的服务器应该会很不错,由于只需要提供API,所以只需要一个应用(当然,高级版和基础版都是可以任意增加应用的)。而高级版是提供两个应用的(frontend backend),如果此时你还是使用高级版的话,那么只会多出一堆毫无卵用的文件。这样看起来,基础版更灵活,仿佛更“高级”。

  • YIi2 做项目是用
    Dummer 回答于 2017-03-26 14:32 举报

    建议使用高级版

     回复 0 0
  • YIi2 做项目是用
    koko 回答于 2017-03-26 20:55 举报

    对的,要跑个sql。
    不先折腾下,怎么知道哪个版本适合自己。

     回复 0 0
  • YIi2 做项目是用
    dashixiong 回答于 2017-03-27 10:20 举报

    当然是玩高级的了,低级的不好玩。

     回复 0 0
  • YIi2 做项目是用
    bryce 回答于 2017-03-27 11:10 举报

    在我看来基本版更高级

     回复 0 0
  • YIi2 做项目是用
    gouweibacao 回答于 2017-03-27 11:22 举报

    怎样提问题啊,我怎么都不能提问题

     回复 0 0
  • YIi2 做项目是用
    最爱红烧肉 回答于 2017-03-27 12:05 举报

    看项目 要是分前后台 当然用高级版。要是你只用一个单一后台,那就是基础版了。

     回复 0 0
  • YIi2 做项目是用
    飞飞 回答于 2017-03-28 11:01 举报

    建议用高级版

     回复 0 0
  • YIi2 做项目是用
    BoyLee 回答于 2017-03-28 12:39 举报

    建议直接入手Adv. 版本。

     回复 0 0
  • YIi2 做项目是用
    raijin 回答于 2017-08-03 17:06 举报

    虽说内核相同,但是用法差别很大。
    如果是独立项目建议用Advanced。如果你只是需要将Yii集成到别人的项目里,整个Yii当成一个插件使用,建议用Basic。

     回复

YIi2 做项目是用”高级版本”还是”基础版本”的? [ 2.0 版本 ]》有1个想法

评论已关闭。